Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229873 - [GFS2] alternate test: assertion "!ip->i_inode.i_mapping->nrpages" failed
Summary: [GFS2] alternate test: assertion "!ip->i_inode.i_mapping->nrpages" failed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Don Zickus
QA Contact: GFS Bugs
URL:
Whiteboard:
Depends On:
Blocks: 204760
TreeView+ depends on / blocked
 
Reported: 2007-02-23 21:44 UTC by Abhijith Das
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 19:41:34 UTC


Attachments (Terms of Use)
Proposed patch to fix this bug (deleted)
2007-03-06 11:13 UTC, Steve Whitehouse
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0959 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5 Update 1 2007-11-08 00:47:37 UTC

Description Abhijith Das 2007-02-23 21:44:41 UTC
Description of problem:
I've been running the 'alternate' test program on the smoke cluster with the
latest gfs2 and dlm bits from the nmw tree.

After a few minutes of operation... salem hits an assertion failure:
GFS2: fsid=smoke:gfs2.0: fatal: assertion "!ip->i_inode.i_mapping->nrpages" failed
GFS2: fsid=smoke:gfs2.0:   function = inode_go_inval, file = fs/gfs2/glops.c, 
line = 248
GFS2: fsid=smoke:gfs2.0: about to withdraw this file system
GFS2: fsid=smoke:gfs2.0: telling LM to withdraw

kdb backtrace:

[0]kdb> btp 6662
Stack traceback for pid 6662
0xffff81007d0029e0     6662       11  0    0   D  0xffff81007d002ca0  lock_dlm1
rsp                rip                Function (args)
0xffff810064d6fb90 0xffffffff8054b0b5 __sched_text_start+0x9b5
0xffff810064d6fb98 0xffffffff8027046c generic_delete_inode+0xe8
0xffff810064d6fc08 0xffffffff8021e193 try_to_wake_up+0x3fe
0xffff810064d6fc48 0xffffffff8054b27c wait_for_completion+0x87
0xffff810064d6fc60 0xffffffff8021e1a4 default_wake_function
0xffff810064d6fc98 0xffffffff802340b3 kthread_stop+0x58
0xffff810064d6fca8 0xffffffff880c030c [lock_dlm]gdlm_release_threads+0x10
0xffff810064d6fcb8 0xffffffff880bff7a [lock_dlm]gdlm_withdraw+0xae
0xffff810064d6fcd0 0xffffffff80234491 autoremove_wake_function
0xffff810064d6fcf8 0xffffffff88058223 [gfs2]gfs2_withdraw_lockproto+0x1b
0xffff810064d6fd08 0xffffffff8805558f [gfs2]gfs2_lm_withdraw+0xa5
0xffff810064d6fd28 0xffffffff802471f3 pagevec_lookup+0x17
0xffff810064d6fd38 0xffffffff80247822 truncate_inode_pages_range+0x1d4
0xffff810064d6fd98 0xffffffff8023410a keventd_create_kthread
0xffff810064d6fda8 0xffffffff8054b0b6 thread_return
0xffff810064d6fdf8 0xffffffff8806700d [gfs2]gfs2_assert_withdraw_i+0x2f
0xffff810064d6fe18 0xffffffff88053483 [gfs2]inode_go_inval+0x85
0xffff810064d6fe28 0xffffffff880529a8 [gfs2]drop_bh+0xbf
0xffff810064d6fe58 0xffffffff8805213f [gfs2]gfs2_glock_cb+0xcb
[0]more>  
Only 'q' or 'Q' are processed at more prompt, input ignored
0xffff810064d6fe78 0xffffffff880c088b [lock_dlm]gdlm_thread+0x50f
0xffff810064d6fea0 0xffffffff8021e1a4 default_wake_function
0xffff810064d6fef0 0xffffffff880c037c [lock_dlm]gdlm_thread
0xffff810064d6ff08 0xffffffff8023410a keventd_create_kthread
0xffff810064d6ff18 0xffffffff80234361 kthread+0xd1
0xffff810064d6ff48 0xffffffff8020a298 child_rip+0xa
0xffff810064d6ff60 0xffffffff8023410a keventd_create_kthread
0xffff810064d6ffc8 0xffffffff80234290 kthread
0xffff810064d6ffd8 0xffffffff8020a28e child_rip

Comment 1 Steve Whitehouse 2007-03-05 16:40:53 UTC
Have you come to any further conclusions over this? I'm quite inclined to do a
patch just to remove that assert since its clearly wrong, unless you have a
better plan?

Comment 2 Steve Whitehouse 2007-03-06 11:13:56 UTC
Created attachment 149328 [details]
Proposed patch to fix this bug

Here is my proposed patch for this bug.

Comment 3 Steve Whitehouse 2007-03-07 13:40:46 UTC
The patch is now upstream.

Comment 4 RHEL Product and Program Management 2007-03-08 10:24:12 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Kiersten (Kerri) Anderson 2007-03-09 18:43:56 UTC
Devel ACK for 5.1.  Would like to get the patch incorporated into an early 5.1
cycle kernel build.

Comment 6 RHEL Product and Program Management 2007-03-09 23:53:16 UTC
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.

Comment 7 Don Zickus 2007-04-17 20:02:18 UTC
in 2.6.18-15.el5

Comment 10 errata-xmlrpc 2007-11-07 19:41:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html



Note You need to log in before you can comment on or make changes to this bug.